Bug 120520 - [PATCH] x11-toolkits/gtk20: Respect if user wants to disable CUPS
Summary: [PATCH] x11-toolkits/gtk20: Respect if user wants to disable CUPS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-11 05:50 UTC by Naram Qashat
Modified: 2008-03-28 04:40 UTC (History)
1 user (show)

See Also:


Attachments
gtk-2.12.7.patch (530 bytes, patch)
2008-02-11 05:50 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2008-02-11 05:50:02 UTC
- Respect if the user has defined WITHOUT_CUPS when they want to disable
  CUPS within GTK+.

Port maintainer (gnome@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-02-11 06:42:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jeremy Messenger freebsd_committer 2008-02-12 21:24:39 UTC
State Changed
From-To: open->closed

Sorry, there is no option to disable CUPS in configure. You should report to 
its bugzilla if you don't like it.
Comment 3 Jeremy Messenger freebsd_committer 2008-03-12 18:04:43 UTC
State Changed
From-To: closed->open

Re-open this PR, it looks like disable CUPS option has been added in 
gtk 2.12.9's configure. I will taking a look at it when I am finishing with 
my TODO list of GNOME 2.22.x stuff.
Comment 4 dfilter service freebsd_committer 2008-03-28 04:34:09 UTC
mezz        2008-03-28 04:34:02 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/gtk20   Makefile 
  Log:
  -Fix enable CUPS by add --enable-cups=auto. [1]
  -Respect the WITHOUT_CUPS with autocheck. [2]
  -Bump the PORTREVISION.
  
  PR:             ports/120520 [2]
  Submitted by:   Subscriptions <subs@j79zlr.com> [1]
                  Naram Qashat <cyberbotx@cyberbotx.com> [2]
  
  Revision  Changes    Path
  1.215     +5 -2      ports/x11-toolkits/gtk20/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Jeremy Messenger freebsd_committer 2008-03-28 04:34:16 UTC
State Changed
From-To: open->closed

Committed, thanks!